Groups v2
Reference for the Groups v2 endpoints on Roblox.
Base URL: https://groups.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET | /v2/groups | getGroups |
GET | /v2/groups/:groupId/experiences | getGroupsGroupidExperiences |
GET | /v2/groups/:groupId/relationships/:groupRelationshipType | getGroupsGroupidRelationshipsGrouprelationshiptype |
GET | /v2/groups/:groupId/relationships/:groupRelationshipType/requests | getGroupsGroupidRelationshipsGrouprelationshiptypeRequests |
GET | /v2/groups/:groupId/wall/posts | getGroupsGroupidWallPosts |
POST | /v2/groups/:groupId/wall/posts | postGroupsGroupidWallPosts |
GET | /v2/users/:userId/groups/roles | getUsersUseridGroupsRoles |
getGroups
Section titled “getGroups”GET /v2/groups
Multi-get groups information by Ids.
Usage
import { fetchApi } from 'rozod';import { getGroups } from 'rozod/lib/endpoints/groupsv2';
const data = await fetchApi(getGroups, { groupIds: /* number */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupIds | number | Yes | The group Ids. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
description | string | |
owner | object | See below |
memberCount | number | |
created | string | |
hasVerifiedBadge | boolean |
owner fields:
| Field | Type | Description |
|---|---|---|
id | number | |
type | 'User' | |
name | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: Too many ids in request. 3: Ids could not be parsed from request. |
getGroupsGroupidExperiences
Section titled “getGroupsGroupidExperiences”GET /v2/groups/:groupId/experiences
Gets experiences created by the specified group id.
Usage
import { fetchApi } from 'rozod';import { getGroupsGroupidExperiences } from 'rozod/lib/endpoints/groupsv2';
const data = await fetchApi(getGroupsGroupidExperiences, { groupId: /* integer */, cursor: /* string? */, sortOrder: /* enum */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupId | integer | Yes | The group Id |
cursor | string? | No | The paging cursor for the previous or next page. |
sortOrder | enum | Yes | The order the results are sorted in. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
previousPageCursor | string | |
nextPageCursor | string | |
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
description | string | |
creator | object | See below |
rootPlace | object | See below |
created | string | |
updated | string | |
placeVisits | number |
creator fields:
| Field | Type | Description |
|---|---|---|
id | number | |
type | `“User" | "Group”` |
name | string |
rootPlace fields:
| Field | Type | Description |
|---|---|---|
id | number | |
type | `“Image" | "TShirt" |
name | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 501 | 47: Code path is not implemented. |
getGroupsGroupidRelationshipsGrouprelationshiptype
Section titled “getGroupsGroupidRelationshipsGrouprelationshiptype”GET /v2/groups/:groupId/relationships/:groupRelationshipType
Gets a group’s relationships with cursor-based pagination.
Usage
import { fetchApi } from 'rozod';import { getGroupsGroupidRelationshipsGrouprelationshiptype } from 'rozod/lib/endpoints/groupsv2';
const data = await fetchApi(getGroupsGroupidRelationshipsGrouprelationshiptype, { groupId: /* integer */, groupRelationshipType: /* string */, cursor: /* string? */, sortOrder: /* enum */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupId | integer | Yes | The group Id. |
groupRelationshipType | string | Yes | The group relationship type, enemies or allies. |
cursor | string? | No | The paging cursor for the previous or next page. |
sortOrder | enum | Yes | The order the results are sorted in. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
groupId | number | |
relationshipType | `“Allies" | "Enemies”` |
groupResponses | object | See below |
groupResponses fields:
| Field | Type | Description |
|---|---|---|
previousPageCursor | string | |
nextPageCursor | string | |
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
description | string | |
owner | object | See below |
shout | object | See below |
memberCount | number | |
isBuildersClubOnly | boolean | |
publicEntryAllowed | boolean | |
isLocked | boolean | |
hasVerifiedBadge | boolean | |
hasSocialModules | boolean |
owner fields:
| Field | Type | Description |
|---|---|---|
buildersClubMembershipType | `0 | 1 |
hasVerifiedBadge | boolean | |
userId | number | |
username | string | |
displayName | string |
shout fields:
| Field | Type | Description |
|---|---|---|
body | string | |
poster | object | See below |
created | string | |
updated | string |
poster fields:
| Field | Type | Description |
|---|---|---|
buildersClubMembershipType | object | |
hasVerifiedBadge | object | |
userId | object | |
username | object | |
displayName | object |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: Group is invalid or does not exist. 4: Group relationship type or request type is invalid. 8: Invalid or missing pagination parameters |
getGroupsGroupidRelationshipsGrouprelationshiptypeRequests
Section titled “getGroupsGroupidRelationshipsGrouprelationshiptypeRequests”GET /v2/groups/:groupId/relationships/:groupRelationshipType/requests
Gets a group’s relationship requests with cursor-based pagination.
Usage
import { fetchApi } from 'rozod';import { getGroupsGroupidRelationshipsGrouprelationshiptypeRequests } from 'rozod/lib/endpoints/groupsv2';
const data = await fetchApi(getGroupsGroupidRelationshipsGrouprelationshiptypeRequests, { groupId: /* integer */, groupRelationshipType: /* string */, cursor: /* string? */, sortOrder: /* enum */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupId | integer | Yes | The group Id. |
groupRelationshipType | string | Yes | The group relationship type of the request, only allies are supported. |
cursor | string? | No | The paging cursor for the previous or next page. |
sortOrder | enum | Yes | The order the results are sorted in. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
groupId | number | |
relationshipType | `“Allies" | "Enemies”` |
groupResponses | object | See below |
groupResponses fields:
| Field | Type | Description |
|---|---|---|
previousPageCursor | string | |
nextPageCursor | string | |
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
description | string | |
owner | object | See below |
shout | object | See below |
memberCount | number | |
isBuildersClubOnly | boolean | |
publicEntryAllowed | boolean | |
isLocked | boolean | |
hasVerifiedBadge | boolean | |
hasSocialModules | boolean |
owner fields:
| Field | Type | Description |
|---|---|---|
buildersClubMembershipType | `0 | 1 |
hasVerifiedBadge | boolean | |
userId | number | |
username | string | |
displayName | string |
shout fields:
| Field | Type | Description |
|---|---|---|
body | string | |
poster | object | See below |
created | string | |
updated | string |
poster fields:
| Field | Type | Description |
|---|---|---|
buildersClubMembershipType | object | |
hasVerifiedBadge | object | |
userId | object | |
username | object | |
displayName | object |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: Group is invalid or does not exist. 4: Group relationship type or request type is invalid. 8: Invalid or missing pagination parameters |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 5: You don’t have permission to manage this group’s relationships. |
getGroupsGroupidWallPosts
Section titled “getGroupsGroupidWallPosts”GET /v2/groups/:groupId/wall/posts
Gets a list of group wall posts.
Usage
import { fetchApi } from 'rozod';import { getGroupsGroupidWallPosts } from 'rozod/lib/endpoints/groupsv2';
const data = await fetchApi(getGroupsGroupidWallPosts, { groupId: /* integer */, cursor: /* string? */, sortOrder: /* enum */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupId | integer | Yes | The group id. |
cursor | string? | No | The paging cursor for the previous or next page. |
sortOrder | enum | Yes | Sorted by group wall post Id |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
previousPageCursor | string | |
nextPageCursor | string | |
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id | number | |
poster | object | See below |
body | string | |
created | string | |
updated | string |
poster fields:
| Field | Type | Description |
|---|---|---|
user | object | See below |
role | object | See below |
user fields:
| Field | Type | Description |
|---|---|---|
buildersClubMembershipType | `0 | 1 |
hasVerifiedBadge | boolean | |
userId | number | |
username | string | |
displayName | string |
role fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
description | string | |
rank | number | |
memberCount | number | |
isBase | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The group is invalid or does not exist. |
| 403 | 2: You do not have permission to access this group wall. |
postGroupsGroupidWallPosts
Section titled “postGroupsGroupidWallPosts”POST /v2/groups/:groupId/wall/posts
Creates a post on a group wall
Usage
import { fetchApi } from 'rozod';import { postGroupsGroupidWallPosts } from 'rozod/lib/endpoints/groupsv2';
const data = await fetchApi(postGroupsGroupidWallPosts, { groupId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupId | integer | Yes | The group id. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
body | string | |
captchaId | string | |
captchaToken | string | |
captchaProvider | string | |
challengeId | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id | number | |
poster | object | See below |
body | string | |
created | string | |
updated | string |
poster fields:
| Field | Type | Description |
|---|---|---|
user | object | See below |
role | object | See below |
user fields:
| Field | Type | Description |
|---|---|---|
buildersClubMembershipType | `0 | 1 |
hasVerifiedBadge | boolean | |
userId | number | |
username | string | |
displayName | string |
role fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
description | string | |
rank | number | |
memberCount | number | |
isBase | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The group is invalid or does not exist. 5: Your post was empty, white space, or more than 500 characters. 9: The provided content was moderated. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: You do not have permission to access this group wall. |
| 429 | 4: You are posting too fast, please try again in a few minutes. |
getUsersUseridGroupsRoles
Section titled “getUsersUseridGroupsRoles”GET /v2/users/:userId/groups/roles
Gets a list of all group roles for groups the specified user is in.
Usage
import { fetchApi } from 'rozod';import { getUsersUseridGroupsRoles } from 'rozod/lib/endpoints/groupsv2';
const data = await fetchApi(getUsersUseridGroupsRoles, { userId: /* integer */, includeLocked: /* boolean */, includeNotificationPreferences: /* boolean */, discoveryType: /* unknown */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userId | integer | Yes | The user id. |
includeLocked | boolean | Yes | |
includeNotificationPreferences | boolean | Yes | |
discoveryType | unknown | Yes |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
group | object | See below |
role | object | See below |
isNotificationsEnabled | boolean | |
notificationPreferences | object[] | See below |
group fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
memberCount | number | |
hasVerifiedBadge | boolean |
role fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
rank | number |
notificationPreferences[] item fields:
| Field | Type | Description |
|---|---|---|
type | `“AnnouncementCreatedNotification" | "ForumPostCreatedNotification" |
enabled | boolean | |
name | string | |
description | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 3: The user is invalid or does not exist. |